<div id="access-log">
<vn-group>
	<vn-param id="user">
		<vn-hash-link key="user"/>
	</vn-param>
	<db-form id="user-form">
		<db-model updatable="false">
			SELECT Id_Cliente, Cliente, Telefono, movil
				FROM vn2008.Clientes WHERE Id_Cliente = #user
			<sql-batch property="batch">
				<item name="user" param="user"/>
			</sql-batch>
		</db-model>
	</db-form>
</vn-group>
<div class="box">
	<div class="header">
		<h1><?=s('AccessLog')?></h1>
	</div>
	<table class="form">
		<tbody>
		<tr>
			<td class="label">
				<label><?=s('UserNumber:')?></label>
			</td>
			<td>
				<htk-label column="Id_Cliente" form="user-form"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<label><?=s('User:')?></label>
			</td>
			<td>
				<htk-label column="Cliente" form="user-form"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<label><?=s('Phone:')?></label>
			</td>
			<td>
				<htk-label column="Telefono" form="user-form"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<label><?=s('Mobile:')?></label>
			</td>
			<td>
				<htk-label column="movil" form="user-form"/>
			</td>
		</tr>
		</tbody>
	</table>
	<div>
		<htk-grid id="access">
			<db-model updatable="false">
				SELECT u.date_time, a.platform, a.browser, a.version, a.javascript, a.cookies
					FROM visit_user u
					JOIN visit_access c ON u.access_id = c.id
					JOIN visit_agent a ON c.agent_id = a.id
						WHERE u.user_id = #user
						ORDER BY u.date_time DESC
						LIMIT 30
				<sql-batch property="batch">
					<item name="user" param="user"/>
				</sql-batch>
			</db-model>
			<htk-column-date title="Access" column="date_time" format="%a, %e %b %Y at %T"/>
			<htk-column-text title="SO" column="platform"/>
			<htk-column-text title="Browser" column="browser"/>
			<htk-column-text title="Version" column="version"/>
			<htk-column-check title="Javascript" column="javascript"/>
			<htk-column-check title="Cookies" column="cookies"/>
		</htk-grid>
	</div>
</div>
</div>
