<div id="users">
<div class="box">
	<div class="header">
		<h1><?=s('UserManagement')?></h1>
	</div>
	<table class="form">
		<tbody>
		<tr>
			<td class="label">
				<label><?=s('UserName:')?></label>
			</td>
			<td>
				<htk-entry>
					<vn-param id="user-name"/>
				</htk-entry>
			</td>
		</tr>
		</tbody>
	</table>
	<div>
		<htk-grid id="users-grid">
			<db-model updatable="false">
				SELECT u.id, u.name, c.Cliente
					FROM account.user u
					INNER JOIN vn2008.Clientes c ON u.id = c.Id_Cliente
						WHERE u.name LIKE CONCAT('%', #user, '%')
						OR c.Cliente LIKE CONCAT('%', #user, '%')
						OR u.id = #user
						ORDER BY u.name LIMIT 200
				<sql-batch property="batch">
					<item name="user" param="user-name"/>
				</sql-batch>
			</db-model>
			<htk-column-button image="image/supplant.png" tip="AccessAsUser" column="id" id="change-user"/>
			<htk-column-button image="image/access-log.svg" tip="AccessLog" column="id" id="access-log"/>
			<htk-column-spin title="UserNumber" column="id"/>
			<htk-column-text title="UserName" column="name"/>
			<htk-column-text title="Alias" column="Cliente"/>
		</htk-grid>
	</div>
</div>
</div>
