
Vn.Visits = new Class
({
	Extends: Vn.Module

	,activate: function ()
	{
		Vn.get ('refresh').addEventListener ('click', this.refreshClicked.bind (this));
		Vn.get ('sessions-button').addEventListener ('click', this.sessionsClicked.bind (this));
		Vn.get ('visits-button').addEventListener ('click', this.visitsClicked.bind (this));

		this.get ('date-to').value = new Date ();
		this.get ('num-sessions').func = this.sessionsFunc;
		
		this.sessionsClicked ();
	}

	,showStep: function (stepId)
	{
		if (this.currentStep)
			this.currentStep.style.display = 'none';
			
		this.currentStep = Vn.get (stepId);
		this.currentStep.style.display = 'inline';
	}
	
	,sessionsClicked: function ()
	{
		this.showStep ('sessions-step');
		this.model = this.get ('sessions');
	}
	
	,visitsClicked: function ()
	{
		this.showStep ('visits-step');
		this.model = this.get ('visits');
	}
	
	,refreshClicked: function ()
	{
		this.model.refresh ();	
	}
	
	,sessionsFunc: function ()
	{
		return 1;
	}
});

