<div id="checkout">
<vn-param id="order-id">
	<vn-hash-link key="order"/>
</vn-param>
<db-form id="order-form">
	<db-model>
		SELECT type_id, note, insurance, address_id, id
			FROM order_view WHERE id = #id
		<sql-batch property="batch">
			<item name="id" param="order-id"/>
		</sql-batch>
	</db-model>
	<db-param column="date_send" id="date"/>
	<db-param column="wh_id" id="warehouse"/>
	<db-param column="address_id" id="address"/>
</db-form>
<div class="box">
	<div class="header">
		<h1><?=s('Checkout')?></h1>
		<div class="action-bar">
			<button id="go-basket">
				<img src="image/dark/go-previous.svg" alt=""/>
				<?=s('GoBasket')?>
			</button>
			<button id="confirm-button">
				<img src="image/dark/ok.svg" alt=""/>
				<?=s('Confirm')?>
			</button>
		</div>
	</div>
	<div>
		<table class="form">
		<tbody>
			<tr>
				<td class="label">
					<label for="notes"><?=s('Notes:')?></label>
				</td>
				<td>
					<htk-textarea column="note" form="order-form"/>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label for="type"><?=s('SendMethod:')?></label>
				</td>
				<td>
					<htk-combo column="type_id" form="order-form">		
						<db-model property="model">
							SELECT Id_Agencia, Agencia FROM vn2008.Agencias
								WHERE web != FALSE ORDER BY Agencia
						</db-model>
					</htk-combo>
				</td>
			</tr>
			<tr>
				<td class="label">
				</td>
				<td>
					<htk-check column="insurance" form="order-form"/>
					<?=s('Insurance')?>
				</td>
			</tr>
		</tbody>
		</table>
		<htk-grid>
			<db-model updatable="false">
				SELECT id, consignee, p.name province, zip_code, city, a.name
					FROM address_view a
					JOIN vn2008.province p ON a.province_id = p.province_id
						WHERE active != FALSE
			</db-model>
			<htk-column-radio column="id" param="address"/>
			<htk-column-text title="Consignee" column="consignee"/>
			<htk-column-text title="Province" column="province"/>
			<htk-column-text title="PC" column="zip_code"/>
			<htk-column-text title="City" column="city"/>
			<htk-column-text title="Address" column="name"/>
		</htk-grid>
	</div>
</div>
</div>
