<div id="orders">
<div class="box">
	<div class="header">
		<h1><?=s('StartedOrdersDesc')?></h1>
		<div class="action-bar">			
			<button id="start-order">
				<img src="image/dark/order.svg" alt=""/>
				<?=s('StartOrder')?>
			</button>
		</div>
	</div>
	<div>
		<htk-grid>
			<db-model>
				SELECT o.id, date_send, Agencia
					FROM order_view o
					JOIN vn2008.Agencias a ON o.type_id = a.Id_Agencia
			</db-model>
			<htk-column-button column="id" image="image/edit.svg" tip="ContinueOrder" id="edit-order"/>
			<htk-column-spin title="OrderNumber" column="id"/>
			<htk-column-date title="DateExit" column="date_send"/>
			<htk-column-text title="SendMethod" column="Agencia"/>
		</htk-grid>
	</div>
</div>
<div class="box">
	<div class="header">
		<h1><?=s('ConfirmedOrdersDesc')?></h1>
		<div id="debt">
			<?=s('PendingBalance:')?>
			<htk-label format="%.2d€" id="debt-amount">
				<db-calc-sum model="balance" column-name="amount"/>
			</htk-label>
			<img src="image/dark/info.svg" title="<?=s('PaymentInfo')?>" id="debt-info" alt="Info"/>
			<button id="pay-button" title="<?=s('MakePayment')?>">		
				<img src="image/dark/pay.svg" alt="<?=s('MakePayment')?>"/>
			</button>
		</div>
	</div>
	<div id="debt-popup">
		<htk-grid id="debt-grid">
			<db-model id="balance">
				CALL customer_debt ();
			</db-model>
			<htk-column-text title="Company" column="abbreviation"/>
			<htk-column-spin title="Pending" column="amount" unit="€" digits="2"/>
			<htk-column-button title="Pay" image="image/pay.svg" tip="Pay" id="company-pay"/>
		</htk-grid>
	</div>
	<div>
		<htk-grid>
			<db-model id="tickets">
				CALL ticket_list ();
			</db-model>
			<htk-column-button column="ticket_id" image="image/show.svg" tip="SeeOrder" id="edit-ticket"/>
			<htk-column-spin title="TicketNumber" column="ticket_id"/>
			<htk-column-date title="DateExit" column="date"/>
			<htk-column-text title="SendMethod" column="type"/>
			<htk-column-text title="SentAddress" column="consignee"/>
			<htk-column-spin title="TotalWithVAT" column="total" unit="€" digits="2"/>
			<htk-column-button image="image/pay.svg" tip="PayOrder" id="ticket-pay"/>
		</htk-grid>
	</div>
	<form method="post" id="tpv-form">
		<input type="hidden" name="Ds_Merchant_Amount"/>
		<input type="hidden" name="Ds_Merchant_Order"/>
		<input type="hidden" name="Ds_Merchant_MerchantCode"/>
		<input type="hidden" name="Ds_Merchant_Currency"/>
		<input type="hidden" name="Ds_Merchant_TransactionType"/>
		<input type="hidden" name="Ds_Merchant_Terminal"/>
		<input type="hidden" name="Ds_Merchant_MerchantURL"/>
		<input type="hidden" name="Ds_Merchant_MerchantSignature"/>
		<input type="hidden" name="Ds_Merchant_UrlOK"/>
		<input type="hidden" name="Ds_Merchant_UrlKO"/>
	</form>
</div>
</div>
