<div id="new">
<vn-group>
	<vn-param id="new-param">
		<vn-hash-link key="new"/>
	</vn-param>
	<db-form id="new-form">
		<db-param column="text" id="new-body"/>
		<db-model>
			SELECT id, user_id, title, text, tag
				FROM news WHERE id = #new
			<sql-batch property="batch">
				<item name="new" param="new-param"/>
			</sql-batch>
		</db-model>
	</db-form>
</vn-group>
<div class="box">
	<div class="header">
		<h1><?=s('AddNew')?></h1>
	</div>
	<div class="form">
		<div class="form-group">
			<label><?=s('Title:')?></label>
			<htk-entry column="title" form="new-form"/>
		</div>
		<div class="form-group">
			<label><?=s('Tag:')?></label>
			<htk-combo column="tag" form="new-form">
				<db-model property="model">
					SELECT name, description FROM news_tag
						ORDER BY description
				</db-model>
			</htk-combo>
		</div>
		<div class="form-group">
			<label><?=s('NewBody:')?></label>
			<textarea id="html-editor"/>
		</div>
		<div class="foot">
			<button id="new-cancel" class="vn"><?=s('Cancel')?></button>
			<button id="new-accept" class="vn"><?=s('Accept')?></button>
		</div>
	</div>
</div>
</div>
