<div id="news">
<div class="box">
	<div class="header">
		<h1><?=s('NewsManagement')?></h1>
		<div class="action-bar">
			<button id="add-new">
				<img src="image/dark/add.svg" alt=""/>
				<?=s('AddNew')?>
			</button>
		</div>
	</div>
	<htk-grid>
		<db-model id="news-model">
			SELECT n.id, c.Cliente, priority,
			CONCAT(LEFT(n.title, 25), '...') title
				FROM news n
				JOIN vn2008.Clientes c ON n.user_id = c.Id_Cliente
					ORDER BY priority, n.date_time DESC
		</db-model>
		<htk-column-button column="id" tip="EditNew" image="image/edit.svg" id="edit-new"/>
		<htk-column-image column="id" directory="news" subdir="30x30" show-full="true" editable="true"/>
		<htk-column-text title="Title" column="title"/>
		<htk-column-text title="Author" column="Cliente"/>
		<htk-column-spin title="Priority" column="priority"/>
	</htk-grid>
</div>
</div>
