<div id="account">
<vn-group>
	<db-form id="user-form">
		<db-model id="user-model">
			SELECT id, u.name, password, email, mail, c.user_id
				FROM user_view u
				LEFT JOIN customer_view c
					ON u.id = c.user_id
		</db-model>
	</db-form>
</vn-group>
<div class="box">
	<div class="header">
		<h1><?php i('Configuration') ?></h1>
	</div>
	<div class="form">
		<div class="form-group">
			<label for="user-id"><?php i('UserNumber') ?></label>
			<htk-label column="id" form="user-form"/>
		</div>
		<div class="form-group">
			<label for="user-name"><?php i('UserName') ?></label>
			<htk-entry column="name" form="user-form"/>
		</div>
		<div class="form-group">
			<label for="user-pass"><?php i('Password') ?></label>
			<htk-password id="password"/>
		</div>
		<div class="form-group">
			<label for="email"><?php i('Email') ?></label>
			<htk-entry column="email" form="user-form"></htk-entry>
		</div>
		<div class="form-group">
			<label for="mail"><?php i('BillingByEmail') ?></label>
			<htk-check column="mail" form="user-form"/>
		</div>
	</div>
</div>
</div>
