
Vn.Training = new Class
({
	Extends: Vn.Module
	
	,dateFormat: _('%a, %e %b %Y')

	,activate: function ()
	{
		var query = 'SELECT title, date_time, text, id  FROM news '
			+'WHERE tag = \'course\' '
			+'ORDER BY priority, date_time DESC';
		this.conn.execQuery (query, this.onCoursesQueryDone.bind (this));
	}

	,onCoursesQueryDone: function (resultSet)
	{
		var coursesColumn = document.getElementById ('courses-column');
		var res = resultSet.fetchResult ();

		if (res)
		while (res.next ())
		{	
			var div = document.createElement ('div');
			div.className = 'new';

			var title = document.createElement ('h2');
			title.appendChild (document.createTextNode (res.get ('title')));
			div.appendChild (title);

			var p = document.createElement ('p');
			p.className = 'new-info';
			div.appendChild (p);
			
			var date = Vn.Date.strftime (res.get ('date_time'), this.dateFormat);
			p.appendChild (document.createTextNode (date));

			var text = document.createElement ('div');
			text.className = 'new-text';
			div.appendChild (text);
			
			var html = '' + res.get ('text');
			text.innerHTML = html;

			var img = document.createElement ('img');
			img.alt = '';
			img.src = Vn.Config['image_dir'] + '/news/full/' + res.get ('id') + '.png';
			div.appendChild (img);

			coursesColumn.appendChild (div);
		}
	}
});
