
Vn.Checkout = new Class
({
	Extends: Vn.Module
	
	,orderId: null

	,activate: function ()
	{
		Vn.get ('go-basket').addEventListener ('click', this.goBasket.bind (this));
		Vn.get ('confirm-button').addEventListener ('click', this.confirmClicked.bind (this));

		this.orderId = this.get ('order-id');
	}

	,goBasket: function ()
	{
		this.hash.set ({
			'form': 'ecomerce/basket',
			'order': this.orderId.value
		});
	}
	
	,confirmClicked: function ()
	{
		if (!confirm (_('SureConfirmOrder')))
			return;
		
		var query = 'CALL order_confirm (#order)';
			
		var batch = new Sql.Batch ();
		batch.addParam ('order', this.orderId);
	
		this.conn.execQuery (query, this.confirmDone.bind (this), batch);
	}

	,confirmDone: function (resultSet)
	{
		if (resultSet.fetchResult ())
		{
			Vn.Cookie.unset ('order');
			this.hash.set ({'module': 'orders'});
			alert (_('OrderConfirmed'));
		}
		else
			this.goBasket ();
	}
});

